﻿@using System.Web.UI.WebControls

<table style="width:100%; padding:18px;" cellspacing="5px">
    <tr>
        <td style="width:50%">
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Name = "lblDock1A";
                    settings.Text = "Tracking Point ";
                    settings.ControlStyle.Font.Size = 16;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
        <td style="width:50%">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtDockCodeInput";
                    settings.ControlStyle.Font.Size = 18;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    settings.Width = Unit.Percentage(50);
                    settings.Properties.MaxLength = 5;
                    settings.ShowModelErrors = true;
                    settings.Properties.ValidationSettings.RequiredField.IsRequired = true;
                    settings.Properties.ValidationSettings.RequiredField.ErrorText = "Dock Code required";
                    settings.Properties.ClientSideEvents.KeyDown = "OnKeyDownDockCode";
                    
                }).GetHtml()
        </td>
    </tr>
    <tr style="padding-top:2px">
        <td style="width:50%">
            @Html.DevExpress().Label(
                    settings => {
                        settings.Name = "lblDeliveryCode1";
                        settings.Text = "Delivery No ";
                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black; 
                        settings.ControlStyle.Font.Size = 16;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    }).GetHtml()
        </td>
        <td style="width:50%">
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtDeliveryNo";
                        settings.ControlStyle.Font.Size = 18;
                        settings.Properties.MaxLength = 13;
                        settings.Width = Unit.Pixel(164);
                        settings.ShowModelErrors = true;
                        settings.Properties.ValidationSettings.RequiredField.IsRequired = true;
                        settings.Properties.ClientSideEvents.KeyDown = "OnKeyDownDeliveryNo";
                    }).GetHtml()            
        </td>
    </tr>
    <tr>
        <td></td>
        <td align="left">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnReceive";
                    settings.Text = "Receive";
                    settings.UseSubmitBehavior = true;
                    settings.ControlStyle.Font.Size = 12;
                    settings.ClientSideEvents.Click = "ValidateDeliveryData";
                }
            ).GetHtml()
        </td>
    </tr>
</table>